/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.BonLivraisonClt;

import Models.Produit.ListeProduit;
import Models.Client.Client;
import Models.Client.ClientEntreprise;
import Models.Client.ClientPassager;
import javafx.collections.ObservableList;

/**
 *
 * @author maher
 */
public class BonLivraisonClt {
    
    public String IdBonLivrasionClt;
    public String HeurLivraison;
    public String DateLivraisonPreveu;
    public String AdresseLivraison;
    public String IdCommande;
    public String IdProfileEditeur;
    public String Transporteur;
    public String Frais;
    public String PoidProduit;
    public String DateCreation;
    public String LocalNom;
    public String Tele1;
    public String Tele2;        
    
    public Integer TypeClient;  //0 Personne  1 Entreprise 2 Passager
    public Client CltPersonne ;
    public ClientEntreprise CltEntreprise ;
    public ClientPassager CltPassager ;
    
    public String Devise;
    public String TotalHorsTaxNet; 
    public String TotalTVA; 
    public String Remise; 
    public String NetAPayer;

    public ObservableList<ListeProduit> listeproduit ;

    public String getIdBonLivrasionClt() {
        return IdBonLivrasionClt;
    }

    public void setIdBonLivrasionClt(String IdBonLivrasionClt) {
        this.IdBonLivrasionClt = IdBonLivrasionClt;
    }

    public String getHeurLivraison() {
        return HeurLivraison;
    }

    public void setHeurLivraison(String HeurLivraison) {
        this.HeurLivraison = HeurLivraison;
    }

    public String getDateLivraisonPreveu() {
        return DateLivraisonPreveu;
    }

    public void setDateLivraisonPreveu(String DateLivraisonPreveu) {
        this.DateLivraisonPreveu = DateLivraisonPreveu;
    }

    public String getAdresseLivraison() {
        return AdresseLivraison;
    }

    public void setAdresseLivraison(String AdresseLivraison) {
        this.AdresseLivraison = AdresseLivraison;
    }

    public String getIdCommande() {
        return IdCommande;
    }

    public void setIdCommande(String IdCommande) {
        this.IdCommande = IdCommande;
    }

    public String getIdProfileEditeur() {
        return IdProfileEditeur;
    }

    public void setIdProfileEditeur(String IdProfileEditeur) {
        this.IdProfileEditeur = IdProfileEditeur;
    }

    public String getTransporteur() {
        return Transporteur;
    }

    public void setTransporteur(String Transporteur) {
        this.Transporteur = Transporteur;
    }

    public String getFrais() {
        return Frais;
    }

    public void setFrais(String Frais) {
        this.Frais = Frais;
    }

    
    
    public String getPoidProduit() {
        return PoidProduit;
    }

    public void setPoidProduit(String PoidProduit) {
        this.PoidProduit = PoidProduit;
    }

    

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }

    public Client getCltPersonne() {
        return CltPersonne;
    }

    public void setCltPersonne(Client CltPersonne) {
        this.CltPersonne = CltPersonne;
    }

    public ClientEntreprise getCltEntreprise() {
        return CltEntreprise;
    }

    public void setCltEntreprise(ClientEntreprise CltEntreprise) {
        this.CltEntreprise = CltEntreprise;
    }

    public ClientPassager getCltPassager() {
        return CltPassager;
    }

    public void setCltPassager(ClientPassager CltPassager) {
        this.CltPassager = CltPassager;
    }

    public ObservableList<ListeProduit> getListeproduit() {
        return listeproduit;
    }

    public void setListeproduit(ObservableList<ListeProduit> listeproduit) {
        this.listeproduit = listeproduit;
    }

    public String getDateCreation() {
        return DateCreation;
    }

    public void setDateCreation(String DateCreation) {
        this.DateCreation = DateCreation;
    }

    public String getTele1() {
        return Tele1;
    }

    public void setTele1(String Tele1) {
        this.Tele1 = Tele1;
    }

    public String getTele2() {
        return Tele2;
    }

    public void setTele2(String Tele2) {
        this.Tele2 = Tele2;
    }

    public Integer getTypeClient() {
        return TypeClient;
    }

    public void setTypeClient(Integer TypeClient) {
        this.TypeClient = TypeClient;
    }

    public String getDevise() {
        return Devise;
    }

    public void setDevise(String Devise) {
        this.Devise = Devise;
    }

    public String getTotalHorsTaxNet() {
        return TotalHorsTaxNet;
    }

    public void setTotalHorsTaxNet(String TotalHorsTaxNet) {
        this.TotalHorsTaxNet = TotalHorsTaxNet;
    }

    public String getTotalTVA() {
        return TotalTVA;
    }

    public void setTotalTVA(String TotalTVA) {
        this.TotalTVA = TotalTVA;
    }

        public String getRemise() {
        return Remise;
    }

    public void setRemise(String Remise) {
        this.Remise = Remise;
    }

    public String getNetAPayer() {
        return NetAPayer;
    }

    public void setNetAPayer(String NetAPayer) {
        this.NetAPayer = NetAPayer;
    }

    
    
    
    
    
}
